﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Animation;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            DoubleAnimation doubleAnimation = new DoubleAnimation();

            doubleAnimation.RepeatBehavior = RepeatBehavior.Forever;
            doubleAnimation.AutoReverse    = true;
            doubleAnimation.From           = 100;
            doubleAnimation.To             = 300;
            doubleAnimation.Duration       =  new Duration(TimeSpan.FromSeconds(5));
            
            this.button.BeginAnimation(Button.WidthProperty, doubleAnimation);

            ColorAnimation colorAnimation = new ColorAnimation();

            colorAnimation.RepeatBehavior = RepeatBehavior.Forever;
            colorAnimation.AutoReverse    = true;
            colorAnimation.From           = Colors.Blue;
            colorAnimation.To             = Colors.Red;
            colorAnimation.Duration       =  new Duration(TimeSpan.FromMilliseconds(7000));

            this.solidColorBrush.BeginAnimation(SolidColorBrush.ColorProperty, colorAnimation);
        }

        #endregion
    }
}